Package com.treemap.treeplot

# Interface TreePlotView<Component,N,Row,Column,Color,Font>

All Known Implementing Classes:
  `AbstractTreePlotView`, `JavaFXTreePlotView`

public interface TreePlotView<Component,N,Row,Column,Color,Font>
Created by luc on 27.04.17.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static enum`
  `TreePlotView.BoundingMode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)`
  `void`
  `addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener listener)`
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)`
  `void`
  `addProgressiveRenderer(TreePlotRenderer renderer)`
  `void`
  `addRenderer(TreePlotRenderer renderer)`
  `void`
  `drill(int x, int y)`
  `void`
  `drillDown()`
  `void`
  `drillUp()`
  `MutableSingleSelection<TreePlotView.BoundingMode>`
  `getBoundingMode()`
  `Headless<Color,Font>`
  `getHeadless()`
  `int`
  `getHeight()`
  `TreePlotModel<N,Row,Column,Color,Font>`
  `getModel()`
  `Component`
  `getNativeComponent()`
  `N`
  `getNode(com.macrofocus.geom.Point p)`
  `List<N>`
  `getNodes(com.macrofocus.geom.Rectangle rect)`
  `Paint`
  `getPaint(N node, com.macrofocus.geom.Shape shape, com.macrofocus.geom.Rectangle bounds, boolean allowGradientPaint)`
  `List<TreePlotRenderer>`
  `getProgressiveRenderers()`
  `com.macrofocus.geom.Shape`
  `getRenderedShape(N node)`
  `List<TreePlotRenderer>`
  `getRenderers()`
  `com.macrofocus.rubberband.RubberBand`
  `getRubberBand()`
  `com.macrofocus.geom.Rectangle`
  `getScreenBounds(N node)`
  `com.macrofocus.geom.Shape`
  `getScreenShape(N node)`
  `TreeMapToolTip<N,Row,Column,Color,Font>`
  `getSelectionToolTip()`
  `Dimension`
  `getSize()`
  `TreeMapToolTip<N,Row,Column,Color,Font>`
  `getToolTip()`
  `com.macrofocus.geom.Point`
  `getToolTipPreferredLocation(N node)`
  `TreePlotTooltipRenderer<Component,N,Row,Column,Color,Font>`
  `getTooltipRenderer()`
  `int`
  `getWidth()`
  `MutableOneDScreenTransform`
  `getXCoordinateAxis()`
  `com.macrofocus.plot.guide.Guide<Component,Color,Font>`
  `getXGuide()`
  `MutableBoundedInterval`
  `getXRangeModel()`
  `MutableOneDScreenTransform`
  `getYCoordinateAxis()`
  `com.macrofocus.plot.guide.Guide<Component,Color,Font>`
  `getYGuide()`
  `MutableBoundedInterval`
  `getYRangeModel()`
  `float`
  `getZoomFactor()`
  `boolean`
  `isDirty()`
  `boolean`
  `isShowTiming()`
  `void`
  `repaint()`
  `void`
  `setDirty(boolean dirty)`
  `void`
  `setDirtyShapes()`
  `void`
  `setModel(TreePlotModel<N,Row,Column,Color,Font> model)`
  `void`
  `setSelectionToolTip(TreeMapToolTip<N,Row,Column,Color,Font> tooltip)`
  `void`
  `setShowTiming(boolean showTiming)`
  `void`
  `setToolTip(TreeMapToolTip<N,Row,Column,Color,Font> tooltip)`
  `void`
  `zoom(double x1, double x2, double y1, double y2)`
  `void`
  `zoomIn()`
  `void`
  `zoomOut()`

- ## Method Details

  - ### getBoundingMode

    MutableSingleSelection<TreePlotView.BoundingMode> getBoundingMode()

  - ### repaint

    void repaint()

  - ### getHeadless

    Headless<Color,Font> getHeadless()

  - ### isShowTiming

    boolean isShowTiming()

  - ### setShowTiming

    void setShowTiming(boolean showTiming)

  - ### setModel

    void setModel(TreePlotModel<N,Row,Column,Color,Font> model)

  - ### getModel

    TreePlotModel<N,Row,Column,Color,Font> getModel()

  - ### getXGuide

    com.macrofocus.plot.guide.Guide<Component,Color,Font> getXGuide()

  - ### getYGuide

    com.macrofocus.plot.guide.Guide<Component,Color,Font> getYGuide()

  - ### getXRangeModel

    MutableBoundedInterval getXRangeModel()

  - ### getYRangeModel

    MutableBoundedInterval getYRangeModel()

  - ### getXCoordinateAxis

    MutableOneDScreenTransform getXCoordinateAxis()

  - ### getYCoordinateAxis

    MutableOneDScreenTransform getYCoordinateAxis()

  - ### zoom

    void zoom(double x1, double x2, double y1, double y2)

  - ### addProgressiveRenderer

    void addProgressiveRenderer(TreePlotRenderer renderer)

  - ### addRenderer

    void addRenderer(TreePlotRenderer renderer)

  - ### setDirty

    void setDirty(boolean dirty)

  - ### isDirty

    boolean isDirty()

  - ### setDirtyShapes

    void setDirtyShapes()

  - ### getZoomFactor

    float getZoomFactor()

  - ### getScreenShape

    com.macrofocus.geom.Shape getScreenShape(N node)

  - ### getRenderedShape

    com.macrofocus.geom.Shape getRenderedShape(N node)

  - ### getScreenBounds

    com.macrofocus.geom.Rectangle getScreenBounds(N node)

  - ### getNode

    N getNode(com.macrofocus.geom.Point p)

  - ### getNodes

    List<N> getNodes(com.macrofocus.geom.Rectangle rect)

  - ### getRubberBand

    com.macrofocus.rubberband.RubberBand getRubberBand()

  - ### getPaint

    Paint getPaint(N node, com.macrofocus.geom.Shape shape, com.macrofocus.geom.Rectangle bounds, boolean allowGradientPaint)

  - ### getProgressiveRenderers

    List<TreePlotRenderer> getProgressiveRenderers()

  - ### getRenderers

    List<TreePlotRenderer> getRenderers()

  - ### getTooltipRenderer

    TreePlotTooltipRenderer<Component,N,Row,Column,Color,Font> getTooltipRenderer()

  - ### getToolTip

    TreeMapToolTip<N,Row,Column,Color,Font> getToolTip()

  - ### setToolTip

    void setToolTip(TreeMapToolTip<N,Row,Column,Color,Font> tooltip)

  - ### getSelectionToolTip

    TreeMapToolTip<N,Row,Column,Color,Font> getSelectionToolTip()

  - ### setSelectionToolTip

    void setSelectionToolTip(TreeMapToolTip<N,Row,Column,Color,Font> tooltip)

  - ### getToolTipPreferredLocation

    com.macrofocus.geom.Point getToolTipPreferredLocation(N node)

  - ### getWidth

    int getWidth()

  - ### getHeight

    int getHeight()

  - ### getNativeComponent

    Component getNativeComponent()

  - ### getSize

    @JsIgnore Dimension getSize()

  - ### addMouseListener

    @JsIgnore void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    @JsIgnore void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### addMouseWheelListener

    @JsIgnore void addMouseWheelListener(com.macrofocus.crossplatform.CPCanvas.MouseWheelListener l)

  - ### addKeyListener

    @JsIgnore void addKeyListener(com.macrofocus.crossplatform.CPCanvas.KeyListener listener)

  - ### addContextMenuListener

    void addContextMenuListener(com.macrofocus.crossplatform.CPCanvas.ContextMenuListener l)

  - ### drill

    void drill(int x, int y)

  - ### drillDown

    void drillDown()

  - ### drillUp

    void drillUp()

  - ### zoomIn

    void zoomIn()

  - ### zoomOut

    void zoomOut()